OpenTTD: NIHObject Class Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Private Member Functions
NIHObject Class Reference
Inheritance diagram for NIHObject:

## Private Member Functions
bool | IsInspectable (uint index) const
uint | GetParent (uint index) const
const void * | GetInstance (uint index) const
const void * | GetSpec (uint index) const
void | SetStringParameters (uint index) const
uint32 | GetGRFID (uint index) const
uint | Resolve (uint index, uint var, uint param, bool *avail) const

## Additional Inherited Members
Public Member Functions inherited from NIHelper
virtual | ~NIHelper ()
| Silence a warning.
virtual bool | IsInspectable (uint index) const =0
| Is the item with the given index inspectable?
virtual uint | GetParent (uint index) const =0
| Get the parent "window_number" of a given instance.
virtual const void * | GetInstance (uint index) const =0
| Get the instance given an index.
virtual const void * | GetSpec (uint index) const =0
| Get (NewGRF) specs given an index.
virtual void | SetStringParameters (uint index) const =0
| Set the string parameters to write the right data for a STRINGn.
virtual uint32 | GetGRFID (uint index) const =0
| Get the GRFID of the file that includes this item.
virtual uint | Resolve (uint index, uint var, uint param, bool *avail) const =0
| Resolve (action2) variable for a given index.
virtual bool | PSAWithParameter () const
| Used to decide if the PSA needs a parameter or not.
virtual uint | GetPSASize (uint index, uint32 grfid) const
| Allows to know the size of the persistent storage.
virtual const int32 * | GetPSAFirstPosition (uint index, uint32 grfid) const
| Gets the first position of the array containing the persistent storage.
Protected Member Functions inherited from NIHelper
void | SetSimpleStringParameters (StringID string, uint32 index) const
| Helper to make setting the strings easier.
void | SetObjectAtStringParameters (StringID string, uint32 index, TileIndex tile) const
| Helper to make setting the strings easier for objects at a specific tile.

## Detailed Description

Definition at line 386 of file newgrf_debug_data.h.

The documentation for this class was generated from the following file:

- src/table/newgrf_debug_data.h